WordPress.org

Support

Support » Plugins and Hacks » WordPress PopUp - Popover Maker » [Resolved] Does not work – plugin unusable

[Resolved] Does not work – plugin unusable

Viewing 4 replies - 1 through 4 (of 4 total)
  • Pedro

    @petredobrescu

    I’m having the same issue with WP 3.5.1. Anyone has any idea or any way to make it work?

    Hello there.
    Do you get any errors? Could you please provide some more details?

    Cheers,
    Ari.

    Pedro

    @petredobrescu

    Hello and sorry for not coming back here earlier.

    The issue I had was that the pop-up wasn’t appearing when selecting the option to only appear on certain URLs. I have fixed my issue and it comes from the way the plugin is identifying the site URL and the wp-admin url.

    In my case there was a special setup like this:
    Public site = http://www.example.com
    WP-Admin area = https://secure-url.com/wp-admin

    So the site url and wp-admin url are totally different and it seems that the plugin is not correctly identifying this situation.

    The dirty trick that worked in my case was to use in the list of URLs where the pop-up to appear this type of addresses:

    http://secure-url.com/post-slug-where-the-pop-up-should-appear/ (attention – no https as it normally is in the wp-admin URL).

    I hope this helps someone else facing similar issues and I also hope it helps the plugin creators refactor the way the URL’s are checked. While in probably most cases the plugin would work, in special cases like the one above it doesn’t.

    @pedro Thank you for reporting this!

    The plugin uses some files present on wp-admin so yes, this issue is a natural result of your using different urls for the backend and your frontend.

    I’m glad you figured it out and I’m sure others will also find this useful!

    Cheers,
    Ari.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘[Resolved] Does not work – plugin unusable’ is closed to new replies.
Skip to toolbar